gora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GORA-372) slf4j-api version conflict
Date Wed, 17 Sep 2014 11:00:38 GMT

    [ https://issues.apache.org/jira/browse/GORA-372?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14137052#comment-14137052
] 

ASF GitHub Bot commented on GORA-372:
-------------------------------------

GitHub user dobromyslov opened a pull request:

    https://github.com/apache/gora/pull/8

    GORA-372: Fixed runtime error with the slf4j-api version conflict.

    Resolved issue with slf4j-api version conflict described at:
    https://issues.apache.org/jira/browse/GORA-372

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/dobromyslov/gora bugfix/GORA-372

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/gora/pull/8.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #8
    
----
commit d7ea44d53a35aa0b7fb47b6a38d607e76a0d3ddd
Author: Viacheslav Dobromyslov <viacheslav@dobromyslov.ru>
Date:   2014-09-17T10:54:38Z

    GORA-372: Fixed runtime error with the slf4j-api version conflict.

----


> slf4j-api version conflict
> --------------------------
>
>                 Key: GORA-372
>                 URL: https://issues.apache.org/jira/browse/GORA-372
>             Project: Apache Gora
>          Issue Type: Bug
>          Components: gora-hbase
>    Affects Versions: 0.6
>         Environment: Gentoo Linux, Oracle JDK 1.7.0.51-r1
>            Reporter: Viacheslav Dobromyslov
>
> Created project with the following dependencies:
> {code}
>     <dependencies>
>         <dependency>
>             <groupId>org.apache.gora</groupId>
>             <artifactId>gora-core</artifactId>
>             <version>0.6-SNAPSHOT</version>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.gora</groupId>
>             <artifactId>gora-hbase</artifactId>
>             <version>0.6-SNAPSHOT</version>
>         </dependency>
>     </dependencies>
> {code}
> Snapshot version:
> https://github.com/apache/gora/tree/a72c5d36033fa393e492c047cb818b318edd2b35
> And got a critical runtime error described below.
> {code}
> SLF4J: Class path contains multiple SLF4J bindings.
> SLF4J: Found binding in [jar:file:/home/bbg/.m2/repository/org/slf4j/slf4j-log4j12/1.4.3/slf4j-log4j12-1.4.3.jar!/org/slf4j/impl/StaticLoggerBinder.class]
> SLF4J: Found binding in [jar:file:/home/bbg/.m2/repository/org/slf4j/slf4j-simple/1.6.6/slf4j-simple-1.6.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]
> SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.
> SLF4J: slf4j-api 1.6.x (or later) is incompatible with this binding.
> SLF4J: Your binding is version 1.5.5 or earlier.
> SLF4J: Upgrade your binding to version 1.6.x.
> {code}
> Stack trace:
> {code}
> Exception in thread "main" java.lang.NoSuchMethodError: org.slf4j.impl.StaticLoggerBinder.getSingleton()Lorg/slf4j/impl/StaticLoggerBinder;
> 	at org.slf4j.LoggerFactory.bind(LoggerFactory.java:128)
> 	at org.slf4j.LoggerFactory.performInitialization(LoggerFactory.java:107)
> 	at org.slf4j.LoggerFactory.getILoggerFactory(LoggerFactory.java:295)
> 	at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:269)
> 	at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:281)
> 	at org.apache.gora.tutorial.log.LogManager.<clinit>(LogManager.java:24)
> {code}
> The error is caused by slf4j-api version conflict:
> # gora-hbase depends on org.apache.hbase:hbase-0.94.14
> # hbase-0.94.14 depends on org.slf4j:slf4j-log4j12 which causes the conflict.
> We have to exclude this old dependency to sort the issue out.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message